Subject: Re: CCL:MM benchmarks

From: <[email-masked]>
Date: Wed, 26 Apr 1995 12:22:01 -0700

I have been 'publishing' my Amber benchmarks on CCL for several 
years now, and they can be found in the archives.

Since the question has been raised, I append my current set
of benchmarks-in-progress, which has been revised for the 4.1 
release of Amber, notably Dave Case has contributed a protein
setup.  It needs still larger cases to provide meaningful 
results for the parallel versions. 

The 1st DNA water case shows the speedup of Amber 4.1 over 4.0 
for solvated systems: on the HP, the time for 4.0 was ~190 seconds, 
while for 4.1 it is 124 seconds. I have been told that the Ewald 
option runs faster on other molecules; other than that its speed 
is mostly dependent on the presence or absence of a well-optimized 
Fourier library on each machine.

I am definitely interested in other benchmarks, especially
if I don't need to seek permission to use the structures.
It seems appropriate now to have cases of, say, 25, 50 and
100K atoms.

Bill Ross

			AMBER 4.1 BENCHMARKS

CPU or wallclock times in seconds for the iterative (non-setup) parts of 
various 100-step runs. CPU times are used (Table 1) except for message-
passing machines for which communication time contributes, in which case
wallclock times are used (Table 2).

Disclaimer: no attempt has been made to control conditions for all
tests - numbers vary slightly from run to run, and results have been 
contributed by various people; vendor-run benchmarks are indicated by 
a '-' in the margin.

dnawat*: 6 base pairs of DNA in water box 
	 (7682 atoms: 274 DNA, 10 ions, 2466 waters)
dnavac*: 68 base pairs of DNA in vacuum (4282 atoms)
prowat:  plastocyanin in water box (11585 atoms: 1460 solute, 3375 waters)

		     ***** Table 1: CPU times *****

Benchmark:    dnawat1  dnawat2  dnawat3  dnawat4  dnavac  dnavacG  prowat
Cutoff:	         8A     9/12A     12A     Ewald    10A     10A      12A
									   date
Cray
C90		 40      58        81      129      27      65	    120    2/95

Fujitsu
VP2200           38      52        79      157      23      61      123    4/95

SGI
R8000_75         81     120       209      326     115     111      331    3/95
R8000_75.2       52      74       123      222      65      72      189    3/95
-R8000_75        80     119       207      323     115     112      327    3/95
-R8000_75.2      45      67       110      189      63      64      174    3/95
-R8000_75.4      27      38        61      121      34      37       95    3/95
-R8000_75.8      17      24        35       na      18      24       56    3/95
-R8000_75.12     15      20        27       na      14      20       42    3/95
-R8000_75.16     13      18        23       na      12      18       36    3/95
R4400_150       251     395       846      804     191     316     1234    3/95
R4000_50        383     611      1303     1343     316     567     1857    3/95

DEC
axp_275         110     173       354      350      82     135      547    3/95
axp_150         230     353       723      660     177     273     1099    3/95

HP
735_100         124     198       416      484     105     177      628    3/95

Convex
C3820           139     203       334      793     131     236      524    3/95

sparc2_40      1144    1741      3795     3559    1203    1485     5505    3/95

		  ***** Table 2: Wallclock times *****

	 	(Message-passing parallel implementations)

	[to be tested]